### Function

# WPEPlatform ToplevelForeachViewFunc

#### Declaration

    gboolean
    (* WPEToplevelForeachViewFunc) (
      WPEToplevel* toplevel,
      WPEView* view,
      gpointer user_data
    )

#### Description [src]

A function used by wpe_toplevel_foreach_view().

#### Parameters

`toplevel`

  Type: `WPEToplevel`

  A `WPEToplevel`.

  The data is owned by the caller of the function.

`view`

  Type: `WPEView`

  A `WPEView`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the iteration, or `FALSE` to continue.